=begin
/****************************************************************************
** $Id: qt/examples/action/main.cpp   2.2.2   edited 2000-08-31 $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/
=end
#include <qapplication.h>
#include "application.h"
require "qt2"
include Qt2
require "application_lib.rb"

    a = QApplication.new( [$0]+ARGV )
    mw = ApplicationWindow.new()
    mw.setCaption( "Document 1" )
    mw.show()
    Qt2::connect( a, QSIGNAL("lastWindowClosed()"), a, QSLOT("quit()") )
    a.exec()

